This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 242379 - anaconda crashes when configuring iSCSI (DHCP address!)
anaconda crashes when configuring iSCSI (DHCP address!)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-03 16:42 EDT by Michael Rommel
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-04 10:10:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda crash log (46.02 KB, text/plain)
2007-06-03 16:42 EDT, Michael Rommel
no flags Details

  None (edit)
Description Michael Rommel 2007-06-03 16:42:43 EDT
Description of problem:

While configuring iSCSI, anaconda crashes. This is while using 
a DHCP address, I didn't try a static address (reported in other
bug reports).

anaconda complains in the exception details, after attempting
iscsiadm: "no record found", see attached message.

Using a shell on the system and running exactly the same command,
it prints:

192.168.0.131:3260,1 iqn.2007-03.net-layer-7.blackbird:storage.seagull

which is the iSCSI target that has been set up.




Affected version: standard Fedora 7 anaconda installer

How reproducible:

Steps to Reproduce:
1. Click on "Advanced storage configuration"
2. Add iSCSI target
3. Enter 192.168.0.131 as IP Address and
iqn.2007-03.net-layer-7.blackbird:storage.seagull as target
  
Actual results:

Exception occurred

Expected results:

Mount of the iSCSI target as disk


Additional info:
Comment 1 Michael Rommel 2007-06-03 16:42:43 EDT
Created attachment 156036 [details]
anaconda crash log
Comment 2 Chris Lumens 2007-06-04 10:10:49 EDT
This will be fixed in the next build of anaconda.  The fix may also be included
in an updates.img which would allow you to use the released version of anaconda
for working around this bug.  If that happens, I will update this bug report to
explain it.
Comment 3 Chris Lumens 2007-06-06 13:47:43 EDT
This bug is now addressed by an updates image.  It is available for download at:

    http://people.redhat.com/clumens/f7-updates.img

Instructions for using updates disks are located at:

    http://fedoraproject.org/wiki/Anaconda/Updates

If possible, please test this image out and report if it fixes your issue or
not.  Once we are confident that your issue is solved by this image, we are
going to announce it more publicly.  This fix may also be included in an updated
anaconda package later for people who are making custom Fedora distributions. 
Thanks for your time.

Note You need to log in before you can comment on or make changes to this bug.